Opened 6 months ago

Last modified 6 months ago

#4730 new enhancement

Patch to identify Multics Hellboy versions serving cccam readers to oscam

Reported by: janderklander77 Owned by:
Priority: minor Component: Webinterface
Severity: low Keywords:
Cc: Sensitive: no

Description

Reason for enhancement

Currently Oscam is identifying *any* Multics version with a string like "Multics, revision r82 cccam_mcs ( 2.3.0-3367 )"

There's a new Multics development branch which aims to provide better filtering on ECM proxying and cache, named Hellboy.

With this patch Oscam is able to identify if a cccam reader is running normal Multics or Multics Hellboy version.

I'm attaching a patch file for oscam version 11523

Possible impacts on other features

It's mainly a cosmetic change. Should not impact any other feature.

Attachments (2)

oscam-identify-HB-cccam-servers.patch (6.1 KB) - added by janderklander77 6 months ago.
Patch for version 11523
hellboy.patch (6.9 KB) - added by savan 6 months ago.

Download all attachments as: .zip

Change History (5)

Changed 6 months ago by janderklander77

Patch for version 11523

comment:1 Changed 6 months ago by bobiturboto

Thanks janderklander77 the patch is great!

Now we can distinguish when we are exchanging with Multics Hellboy.
I think is important to have it, because Hellboy is the only multics which is working normally with oscam, without sending bad CW's and more crap.

I hope will be added to trunk

Thank you

Changed 6 months ago by savan

Attachment: hellboy.patch added

comment:2 Changed 6 months ago by savan

oscam-client.c:108:7: warning: implicit declaration of function ‘cccam_client_multics_mode’ [-Wimplicit-function-declaration]

Use hellboy.patch instead.

comment:3 Changed 6 months ago by Darkvision

Hello
How can i add this to my reciver ?

Note: See TracTickets for help on using tickets.